/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Bathilda.cs
Lines of code: 77
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class BrewedAwakeningsQuest : BaseQuest
	{				
		public override object Title{ get{ return "Brewed Awakenings"; } }
		
		public override object Description{ get{ return "I've got a hankering for some red licorice right now. You wouldn't think witches would like that kind of stuff, but we do! Too bad I can't leave this cauldron of brew to go get some. Can you bring some to me?"; } }
		
		public override object Refuse{ get{ return "That's too bad. I guess I'll have to go get red licorice once this brew is done."; } }
		
		public override object Uncomplete{ get{ return "If you're looking for candy, some of the other witches might offer you some quests with a bag of candy as the reward."; } }
		
		public override object Complete{ get{ return "Thank you so much for bringing me some red licorice. Take some of this halloween brew as your reward."; } }
	
		public BrewedAwakeningsQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( RedLicorice ), "Red Licorice", 15, 3978, 0, 39 ) );
			
			AddReward( new BaseReward( typeof( HalloweenBrew ), "Halloween Brew" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Bathilda : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( BrewedAwakeningsQuest )
			};} 
		}
		
		[Constructable]
		public Bathilda() : base( "Bathilda", "the cook" )
		{			
				SetSkill( SkillName.Meditation, 60.0, 83.0 );
				SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Bathilda( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}